System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The contains a collection of XML namespaces, each with an associated prefix. The uses an instance of the class to create qualified names in an XML document.

XML namespaces contained by the must conform to the www.w3.org specification named .

XML namespaces provide a way to qualify the names of XML elements and attributes in XML documents. A qualified name consists of a prefix and a local name, separated by a colon. The prefix functions only as a placeholder; it is mapped to a URI that specifies a namespace. The combination of the universally-managed URI namespace and the local name produces a name that is guaranteed to be universally unique.

To create qualified names in an XML document:

Create an instance.

each prefix and namespace pair that you want to the instance.

Apply the appropriate.NET attribute to each property or class that the serializes into an XML document. The available attributes are:

Set the Namespace property of each attribute to one of the namespace values from the object.

Pass the to the method of the .

The creation of an empty namespace and prefix pair is not supported. That is, you cannot create a pair using the following code:

`XmlSerializerNamespaces ns = new XmlSerializerNamespaces(); ns.Add("", "");` `Dim ns As XmlSerializerNamespaces ns = New XmlSerializerNamespaces() ns.Add("", "")`

Contains the XML namespaces and prefixes that the uses to generate qualified names in an XML-document instance.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, using the specified instance of XmlSerializerNamespaces containing the collection of prefix and namespace pairs.

  An instance of the containing the namespace and prefix pairs.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  An array of objects.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If you want the to qualify the element and attribute names in an XML document, you must the prefix and namespace pairs to an object.

  Any namespaces that you add must conform to the www.w3.org specification .

  Adds a prefix and namespace pair to an object.

  The prefix associated with an XML namespace. An XML namespace.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of prefix and namespace pairs in the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName[] To be added

  Gets the array of prefix and namespace pairs in an object.

  An array of objects that are used as qualified names in an XML document.